Last Comment Bug 764249 - Youtube HTML5 resize buttons(Small/Large player) in video controls are missing
: Youtube HTML5 resize buttons(Small/Large player) in video controls are missing
Status: RESOLVED FIXED
[js:p1:fx16]
: regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: 16 Branch
: x86 All
: -- normal with 1 vote (vote)
: mozilla16
Assigned To: Luke Wagner [:luke]
:
:
Mentors:
Depends on:
Blocks: 762473
  Show dependency treegraph
 
Reported: 2012-06-12 19:53 PDT by Alice0775 White
Modified: 2012-06-18 07:28 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (2.34 KB, patch)
2012-06-13 01:38 PDT, Luke Wagner [:luke]
dvander: review+
Details | Diff | Splinter Review

Description Alice0775 White 2012-06-12 19:53:57 PDT
Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/131961e5e0d1
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0a1 ID:20120612030527

See http://forums.mozillazine.org/viewtopic.php?p=12061703#p12061703

Steps to Reproduce:
1. Create clean profile
2. Open http://www.youtube.com/watch?v=BRG5VNNUq_E&hd=1&html5=1

Actual Results:
 Resize buttons(Small/Large player) are missing.

 And An error shows in Error Console as follows:
 
Security Error: Content at http://www.youtube.com/watch?v=BRG5VNNUq_E&hd=1&html5=1 may not load data from http://s.ytimg.com/yt/cssbin/www-player-vflFpAOf-.css.


Expected Results:
 Resize buttons(Small/Large player) should be available.



Regressiin Window(m-c)
Good:
http://hg.mozilla.org/mozilla-central/rev/827c1fac4905
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0a1 ID:20120608134854
Bad:
http://hg.mozilla.org/mozilla-central/rev/95d1bb200f4e
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0a1 ID:20120609030536
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=827c1fac4905&tochange=95d1bb200f4e
Comment 1 Wes Kocher (:KWierso) 2012-06-12 20:05:51 PDT
I can still see the button if I screw around a lot with the Style Editor and Inspector tools.
I deleted a bunch of instances of "display:none" with Style Editor, and I can then see the Large Player button, overlaid by the gearbox settings button. Then in Inspector, I removed the "hid" part of the large player button's class attribute, and it shows up fully.
Comment 2 Alice0775 White 2012-06-12 22:21:10 PDT
In localbuild
Last Good:7d68b45776ff
First Bad:227b4a4c3c46
Regressed by:
227b4a4c3c46	Luke Wagner — Bug 762473 - Don't apply non-reentrant-closure optimization when the scope is extensible (r=dvander)
Comment 3 Luke Wagner [:luke] 2012-06-13 01:38:34 PDT
Created attachment 632600 [details] [diff] [review]
fix

Thanks for the clear report, STR, and bisection!

The last fix failed because, apparently, you can't just conservatively set isOuterFunction/isInnerFunction to false.  This patch achieves the same goal (don't do the optimization when the scope can grow/shrink) using a more simple/brutish method.  I'd work more on this if the whole awful mess wasn't being removed soon (bug 753158).
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-06-16 06:52:01 PDT
https://hg.mozilla.org/mozilla-central/rev/925c31734424
Comment 6 Jim Jeffery not reading bug-mail 1/2/11 2012-06-16 08:12:38 PDT
This may not be fixed, looking at http://www.youtube.com/watch?v=HDLLXUaqZxg&feature=related still has no re-size buttons showing.

Tested using latest hourly build which contains the patch:
https://hg.mozilla.org/mozilla-central/rev/9602a9e99045

Test URL in step 2 of comment #0 also shows no size-control buttons. Ctrl+F5 to force a reload does not seem to reveal the buttons, thinking it may be in cache or something.
The size buttons do show in latest dev version of Chrome.
Comment 7 Alice0775 White 2012-06-16 08:26:15 PDT
Confirmed, The problem is still reproduced.
http://hg.mozilla.org/mozilla-central/rev/9602a9e99045
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0a1 ID:20120616063925
Comment 8 Luke Wagner [:luke] 2012-06-17 22:06:39 PDT
Arg, my mistake: the cset in comment 5 is for another bug, the patch for *this* bug is still unlanded.  Thanks for verifying, I'll land the actual patch next.
Comment 9 Luke Wagner [:luke] 2012-06-17 23:58:00 PDT
Backed out wrongly-named patch (will re-land in appropriate bug):
https://hg.mozilla.org/integration/mozilla-inbound/rev/431749200446

Landed this bug's patch:
https://hg.mozilla.org/integration/mozilla-inbound/rev/55d0b0de25f3

Sorry for the trouble.
Comment 10 Ed Morley [:emorley] 2012-06-18 07:28:32 PDT
https://hg.mozilla.org/mozilla-central/rev/55d0b0de25f3

Note You need to log in before you can comment on or make changes to this bug.